Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network82.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
82.128.0.0
Broadcast address
82.255.255.255
First usable
82.128.0.1
Last usable
82.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 52800000 · Integer 1384120320 to 1392508927
Reverse DNS zones
128.82.in-addr.arpa
129.82.in-addr.arpa
130.82.in-addr.arpa
131.82.in-addr.arpa
132.82.in-addr.arpa
133.82.in-addr.arpa
134.82.in-addr.arpa
135.82.in-addr.arpa
136.82.in-addr.arpa
137.82.in-addr.arpa
138.82.in-addr.arpa
139.82.in-addr.arpa
140.82.in-addr.arpa
141.82.in-addr.arpa
142.82.in-addr.arpa
143.82.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010010.10000000.00000000.0000000082.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01010010.10000000.00000000.0000000082.128.0.0
Broadcast01010010.11111111.11111111.1111111182.255.255.255
Split into smaller subnets/20

82.128.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
182.128.0.0/2082.128.0.1 to 82.128.15.25482.128.15.2554,094
282.128.16.0/2082.128.16.1 to 82.128.31.25482.128.31.2554,094
382.128.32.0/2082.128.32.1 to 82.128.47.25482.128.47.2554,094
482.128.48.0/2082.128.48.1 to 82.128.63.25482.128.63.2554,094
582.128.64.0/2082.128.64.1 to 82.128.79.25482.128.79.2554,094
682.128.80.0/2082.128.80.1 to 82.128.95.25482.128.95.2554,094
782.128.96.0/2082.128.96.1 to 82.128.111.25482.128.111.2554,094
882.128.112.0/2082.128.112.1 to 82.128.127.25482.128.127.2554,094
982.128.128.0/2082.128.128.1 to 82.128.143.25482.128.143.2554,094
1082.128.144.0/2082.128.144.1 to 82.128.159.25482.128.159.2554,094
1182.128.160.0/2082.128.160.1 to 82.128.175.25482.128.175.2554,094
1282.128.176.0/2082.128.176.1 to 82.128.191.25482.128.191.2554,094
1382.128.192.0/2082.128.192.1 to 82.128.207.25482.128.207.2554,094
1482.128.208.0/2082.128.208.1 to 82.128.223.25482.128.223.2554,094
1582.128.224.0/2082.128.224.1 to 82.128.239.25482.128.239.2554,094
1682.128.240.0/2082.128.240.1 to 82.128.255.25482.128.255.2554,094
1782.129.0.0/2082.129.0.1 to 82.129.15.25482.129.15.2554,094
1882.129.16.0/2082.129.16.1 to 82.129.31.25482.129.31.2554,094
1982.129.32.0/2082.129.32.1 to 82.129.47.25482.129.47.2554,094
2082.129.48.0/2082.129.48.1 to 82.129.63.25482.129.63.2554,094
2182.129.64.0/2082.129.64.1 to 82.129.79.25482.129.79.2554,094
2282.129.80.0/2082.129.80.1 to 82.129.95.25482.129.95.2554,094
2382.129.96.0/2082.129.96.1 to 82.129.111.25482.129.111.2554,094
2482.129.112.0/2082.129.112.1 to 82.129.127.25482.129.127.2554,094
2582.129.128.0/2082.129.128.1 to 82.129.143.25482.129.143.2554,094
2682.129.144.0/2082.129.144.1 to 82.129.159.25482.129.159.2554,094
2782.129.160.0/2082.129.160.1 to 82.129.175.25482.129.175.2554,094
2882.129.176.0/2082.129.176.1 to 82.129.191.25482.129.191.2554,094
2982.129.192.0/2082.129.192.1 to 82.129.207.25482.129.207.2554,094
3082.129.208.0/2082.129.208.1 to 82.129.223.25482.129.223.2554,094
3182.129.224.0/2082.129.224.1 to 82.129.239.25482.129.239.2554,094
3282.129.240.0/2082.129.240.1 to 82.129.255.25482.129.255.2554,094
3382.130.0.0/2082.130.0.1 to 82.130.15.25482.130.15.2554,094
3482.130.16.0/2082.130.16.1 to 82.130.31.25482.130.31.2554,094
3582.130.32.0/2082.130.32.1 to 82.130.47.25482.130.47.2554,094
3682.130.48.0/2082.130.48.1 to 82.130.63.25482.130.63.2554,094
3782.130.64.0/2082.130.64.1 to 82.130.79.25482.130.79.2554,094
3882.130.80.0/2082.130.80.1 to 82.130.95.25482.130.95.2554,094
3982.130.96.0/2082.130.96.1 to 82.130.111.25482.130.111.2554,094
4082.130.112.0/2082.130.112.1 to 82.130.127.25482.130.127.2554,094
4182.130.128.0/2082.130.128.1 to 82.130.143.25482.130.143.2554,094
4282.130.144.0/2082.130.144.1 to 82.130.159.25482.130.159.2554,094
4382.130.160.0/2082.130.160.1 to 82.130.175.25482.130.175.2554,094
4482.130.176.0/2082.130.176.1 to 82.130.191.25482.130.191.2554,094
4582.130.192.0/2082.130.192.1 to 82.130.207.25482.130.207.2554,094
4682.130.208.0/2082.130.208.1 to 82.130.223.25482.130.223.2554,094
4782.130.224.0/2082.130.224.1 to 82.130.239.25482.130.239.2554,094
4882.130.240.0/2082.130.240.1 to 82.130.255.25482.130.255.2554,094
4982.131.0.0/2082.131.0.1 to 82.131.15.25482.131.15.2554,094
5082.131.16.0/2082.131.16.1 to 82.131.31.25482.131.31.2554,094
5182.131.32.0/2082.131.32.1 to 82.131.47.25482.131.47.2554,094
5282.131.48.0/2082.131.48.1 to 82.131.63.25482.131.63.2554,094
5382.131.64.0/2082.131.64.1 to 82.131.79.25482.131.79.2554,094
5482.131.80.0/2082.131.80.1 to 82.131.95.25482.131.95.2554,094
5582.131.96.0/2082.131.96.1 to 82.131.111.25482.131.111.2554,094
5682.131.112.0/2082.131.112.1 to 82.131.127.25482.131.127.2554,094
5782.131.128.0/2082.131.128.1 to 82.131.143.25482.131.143.2554,094
5882.131.144.0/2082.131.144.1 to 82.131.159.25482.131.159.2554,094
5982.131.160.0/2082.131.160.1 to 82.131.175.25482.131.175.2554,094
6082.131.176.0/2082.131.176.1 to 82.131.191.25482.131.191.2554,094
6182.131.192.0/2082.131.192.1 to 82.131.207.25482.131.207.2554,094
6282.131.208.0/2082.131.208.1 to 82.131.223.25482.131.223.2554,094
6382.131.224.0/2082.131.224.1 to 82.131.239.25482.131.239.2554,094
6482.131.240.0/2082.131.240.1 to 82.131.255.25482.131.255.2554,094
6582.132.0.0/2082.132.0.1 to 82.132.15.25482.132.15.2554,094
6682.132.16.0/2082.132.16.1 to 82.132.31.25482.132.31.2554,094
6782.132.32.0/2082.132.32.1 to 82.132.47.25482.132.47.2554,094
6882.132.48.0/2082.132.48.1 to 82.132.63.25482.132.63.2554,094
6982.132.64.0/2082.132.64.1 to 82.132.79.25482.132.79.2554,094
7082.132.80.0/2082.132.80.1 to 82.132.95.25482.132.95.2554,094
7182.132.96.0/2082.132.96.1 to 82.132.111.25482.132.111.2554,094
7282.132.112.0/2082.132.112.1 to 82.132.127.25482.132.127.2554,094
7382.132.128.0/2082.132.128.1 to 82.132.143.25482.132.143.2554,094
7482.132.144.0/2082.132.144.1 to 82.132.159.25482.132.159.2554,094
7582.132.160.0/2082.132.160.1 to 82.132.175.25482.132.175.2554,094
7682.132.176.0/2082.132.176.1 to 82.132.191.25482.132.191.2554,094
7782.132.192.0/2082.132.192.1 to 82.132.207.25482.132.207.2554,094
7882.132.208.0/2082.132.208.1 to 82.132.223.25482.132.223.2554,094
7982.132.224.0/2082.132.224.1 to 82.132.239.25482.132.239.2554,094
8082.132.240.0/2082.132.240.1 to 82.132.255.25482.132.255.2554,094
8182.133.0.0/2082.133.0.1 to 82.133.15.25482.133.15.2554,094
8282.133.16.0/2082.133.16.1 to 82.133.31.25482.133.31.2554,094
8382.133.32.0/2082.133.32.1 to 82.133.47.25482.133.47.2554,094
8482.133.48.0/2082.133.48.1 to 82.133.63.25482.133.63.2554,094
8582.133.64.0/2082.133.64.1 to 82.133.79.25482.133.79.2554,094
8682.133.80.0/2082.133.80.1 to 82.133.95.25482.133.95.2554,094
8782.133.96.0/2082.133.96.1 to 82.133.111.25482.133.111.2554,094
8882.133.112.0/2082.133.112.1 to 82.133.127.25482.133.127.2554,094
8982.133.128.0/2082.133.128.1 to 82.133.143.25482.133.143.2554,094
9082.133.144.0/2082.133.144.1 to 82.133.159.25482.133.159.2554,094
9182.133.160.0/2082.133.160.1 to 82.133.175.25482.133.175.2554,094
9282.133.176.0/2082.133.176.1 to 82.133.191.25482.133.191.2554,094
9382.133.192.0/2082.133.192.1 to 82.133.207.25482.133.207.2554,094
9482.133.208.0/2082.133.208.1 to 82.133.223.25482.133.223.2554,094
9582.133.224.0/2082.133.224.1 to 82.133.239.25482.133.239.2554,094
9682.133.240.0/2082.133.240.1 to 82.133.255.25482.133.255.2554,094
9782.134.0.0/2082.134.0.1 to 82.134.15.25482.134.15.2554,094
9882.134.16.0/2082.134.16.1 to 82.134.31.25482.134.31.2554,094
9982.134.32.0/2082.134.32.1 to 82.134.47.25482.134.47.2554,094
10082.134.48.0/2082.134.48.1 to 82.134.63.25482.134.63.2554,094
10182.134.64.0/2082.134.64.1 to 82.134.79.25482.134.79.2554,094
10282.134.80.0/2082.134.80.1 to 82.134.95.25482.134.95.2554,094
10382.134.96.0/2082.134.96.1 to 82.134.111.25482.134.111.2554,094
10482.134.112.0/2082.134.112.1 to 82.134.127.25482.134.127.2554,094
10582.134.128.0/2082.134.128.1 to 82.134.143.25482.134.143.2554,094
10682.134.144.0/2082.134.144.1 to 82.134.159.25482.134.159.2554,094
10782.134.160.0/2082.134.160.1 to 82.134.175.25482.134.175.2554,094
10882.134.176.0/2082.134.176.1 to 82.134.191.25482.134.191.2554,094
10982.134.192.0/2082.134.192.1 to 82.134.207.25482.134.207.2554,094
11082.134.208.0/2082.134.208.1 to 82.134.223.25482.134.223.2554,094
11182.134.224.0/2082.134.224.1 to 82.134.239.25482.134.239.2554,094
11282.134.240.0/2082.134.240.1 to 82.134.255.25482.134.255.2554,094
11382.135.0.0/2082.135.0.1 to 82.135.15.25482.135.15.2554,094
11482.135.16.0/2082.135.16.1 to 82.135.31.25482.135.31.2554,094
11582.135.32.0/2082.135.32.1 to 82.135.47.25482.135.47.2554,094
11682.135.48.0/2082.135.48.1 to 82.135.63.25482.135.63.2554,094
11782.135.64.0/2082.135.64.1 to 82.135.79.25482.135.79.2554,094
11882.135.80.0/2082.135.80.1 to 82.135.95.25482.135.95.2554,094
11982.135.96.0/2082.135.96.1 to 82.135.111.25482.135.111.2554,094
12082.135.112.0/2082.135.112.1 to 82.135.127.25482.135.127.2554,094
12182.135.128.0/2082.135.128.1 to 82.135.143.25482.135.143.2554,094
12282.135.144.0/2082.135.144.1 to 82.135.159.25482.135.159.2554,094
12382.135.160.0/2082.135.160.1 to 82.135.175.25482.135.175.2554,094
12482.135.176.0/2082.135.176.1 to 82.135.191.25482.135.191.2554,094
12582.135.192.0/2082.135.192.1 to 82.135.207.25482.135.207.2554,094
12682.135.208.0/2082.135.208.1 to 82.135.223.25482.135.223.2554,094
12782.135.224.0/2082.135.224.1 to 82.135.239.25482.135.239.2554,094
12882.135.240.0/2082.135.240.1 to 82.135.255.25482.135.255.2554,094
12982.136.0.0/2082.136.0.1 to 82.136.15.25482.136.15.2554,094
13082.136.16.0/2082.136.16.1 to 82.136.31.25482.136.31.2554,094
13182.136.32.0/2082.136.32.1 to 82.136.47.25482.136.47.2554,094
13282.136.48.0/2082.136.48.1 to 82.136.63.25482.136.63.2554,094
13382.136.64.0/2082.136.64.1 to 82.136.79.25482.136.79.2554,094
13482.136.80.0/2082.136.80.1 to 82.136.95.25482.136.95.2554,094
13582.136.96.0/2082.136.96.1 to 82.136.111.25482.136.111.2554,094
13682.136.112.0/2082.136.112.1 to 82.136.127.25482.136.127.2554,094
13782.136.128.0/2082.136.128.1 to 82.136.143.25482.136.143.2554,094
13882.136.144.0/2082.136.144.1 to 82.136.159.25482.136.159.2554,094
13982.136.160.0/2082.136.160.1 to 82.136.175.25482.136.175.2554,094
14082.136.176.0/2082.136.176.1 to 82.136.191.25482.136.191.2554,094
14182.136.192.0/2082.136.192.1 to 82.136.207.25482.136.207.2554,094
14282.136.208.0/2082.136.208.1 to 82.136.223.25482.136.223.2554,094
14382.136.224.0/2082.136.224.1 to 82.136.239.25482.136.239.2554,094
14482.136.240.0/2082.136.240.1 to 82.136.255.25482.136.255.2554,094
14582.137.0.0/2082.137.0.1 to 82.137.15.25482.137.15.2554,094
14682.137.16.0/2082.137.16.1 to 82.137.31.25482.137.31.2554,094
14782.137.32.0/2082.137.32.1 to 82.137.47.25482.137.47.2554,094
14882.137.48.0/2082.137.48.1 to 82.137.63.25482.137.63.2554,094
14982.137.64.0/2082.137.64.1 to 82.137.79.25482.137.79.2554,094
15082.137.80.0/2082.137.80.1 to 82.137.95.25482.137.95.2554,094
15182.137.96.0/2082.137.96.1 to 82.137.111.25482.137.111.2554,094
15282.137.112.0/2082.137.112.1 to 82.137.127.25482.137.127.2554,094
15382.137.128.0/2082.137.128.1 to 82.137.143.25482.137.143.2554,094
15482.137.144.0/2082.137.144.1 to 82.137.159.25482.137.159.2554,094
15582.137.160.0/2082.137.160.1 to 82.137.175.25482.137.175.2554,094
15682.137.176.0/2082.137.176.1 to 82.137.191.25482.137.191.2554,094
15782.137.192.0/2082.137.192.1 to 82.137.207.25482.137.207.2554,094
15882.137.208.0/2082.137.208.1 to 82.137.223.25482.137.223.2554,094
15982.137.224.0/2082.137.224.1 to 82.137.239.25482.137.239.2554,094
16082.137.240.0/2082.137.240.1 to 82.137.255.25482.137.255.2554,094
16182.138.0.0/2082.138.0.1 to 82.138.15.25482.138.15.2554,094
16282.138.16.0/2082.138.16.1 to 82.138.31.25482.138.31.2554,094
16382.138.32.0/2082.138.32.1 to 82.138.47.25482.138.47.2554,094
16482.138.48.0/2082.138.48.1 to 82.138.63.25482.138.63.2554,094
16582.138.64.0/2082.138.64.1 to 82.138.79.25482.138.79.2554,094
16682.138.80.0/2082.138.80.1 to 82.138.95.25482.138.95.2554,094
16782.138.96.0/2082.138.96.1 to 82.138.111.25482.138.111.2554,094
16882.138.112.0/2082.138.112.1 to 82.138.127.25482.138.127.2554,094
16982.138.128.0/2082.138.128.1 to 82.138.143.25482.138.143.2554,094
17082.138.144.0/2082.138.144.1 to 82.138.159.25482.138.159.2554,094
17182.138.160.0/2082.138.160.1 to 82.138.175.25482.138.175.2554,094
17282.138.176.0/2082.138.176.1 to 82.138.191.25482.138.191.2554,094
17382.138.192.0/2082.138.192.1 to 82.138.207.25482.138.207.2554,094
17482.138.208.0/2082.138.208.1 to 82.138.223.25482.138.223.2554,094
17582.138.224.0/2082.138.224.1 to 82.138.239.25482.138.239.2554,094
17682.138.240.0/2082.138.240.1 to 82.138.255.25482.138.255.2554,094
17782.139.0.0/2082.139.0.1 to 82.139.15.25482.139.15.2554,094
17882.139.16.0/2082.139.16.1 to 82.139.31.25482.139.31.2554,094
17982.139.32.0/2082.139.32.1 to 82.139.47.25482.139.47.2554,094
18082.139.48.0/2082.139.48.1 to 82.139.63.25482.139.63.2554,094
18182.139.64.0/2082.139.64.1 to 82.139.79.25482.139.79.2554,094
18282.139.80.0/2082.139.80.1 to 82.139.95.25482.139.95.2554,094
18382.139.96.0/2082.139.96.1 to 82.139.111.25482.139.111.2554,094
18482.139.112.0/2082.139.112.1 to 82.139.127.25482.139.127.2554,094
18582.139.128.0/2082.139.128.1 to 82.139.143.25482.139.143.2554,094
18682.139.144.0/2082.139.144.1 to 82.139.159.25482.139.159.2554,094
18782.139.160.0/2082.139.160.1 to 82.139.175.25482.139.175.2554,094
18882.139.176.0/2082.139.176.1 to 82.139.191.25482.139.191.2554,094
18982.139.192.0/2082.139.192.1 to 82.139.207.25482.139.207.2554,094
19082.139.208.0/2082.139.208.1 to 82.139.223.25482.139.223.2554,094
19182.139.224.0/2082.139.224.1 to 82.139.239.25482.139.239.2554,094
19282.139.240.0/2082.139.240.1 to 82.139.255.25482.139.255.2554,094
19382.140.0.0/2082.140.0.1 to 82.140.15.25482.140.15.2554,094
19482.140.16.0/2082.140.16.1 to 82.140.31.25482.140.31.2554,094
19582.140.32.0/2082.140.32.1 to 82.140.47.25482.140.47.2554,094
19682.140.48.0/2082.140.48.1 to 82.140.63.25482.140.63.2554,094
19782.140.64.0/2082.140.64.1 to 82.140.79.25482.140.79.2554,094
19882.140.80.0/2082.140.80.1 to 82.140.95.25482.140.95.2554,094
19982.140.96.0/2082.140.96.1 to 82.140.111.25482.140.111.2554,094
20082.140.112.0/2082.140.112.1 to 82.140.127.25482.140.127.2554,094
20182.140.128.0/2082.140.128.1 to 82.140.143.25482.140.143.2554,094
20282.140.144.0/2082.140.144.1 to 82.140.159.25482.140.159.2554,094
20382.140.160.0/2082.140.160.1 to 82.140.175.25482.140.175.2554,094
20482.140.176.0/2082.140.176.1 to 82.140.191.25482.140.191.2554,094
20582.140.192.0/2082.140.192.1 to 82.140.207.25482.140.207.2554,094
20682.140.208.0/2082.140.208.1 to 82.140.223.25482.140.223.2554,094
20782.140.224.0/2082.140.224.1 to 82.140.239.25482.140.239.2554,094
20882.140.240.0/2082.140.240.1 to 82.140.255.25482.140.255.2554,094
20982.141.0.0/2082.141.0.1 to 82.141.15.25482.141.15.2554,094
21082.141.16.0/2082.141.16.1 to 82.141.31.25482.141.31.2554,094
21182.141.32.0/2082.141.32.1 to 82.141.47.25482.141.47.2554,094
21282.141.48.0/2082.141.48.1 to 82.141.63.25482.141.63.2554,094
21382.141.64.0/2082.141.64.1 to 82.141.79.25482.141.79.2554,094
21482.141.80.0/2082.141.80.1 to 82.141.95.25482.141.95.2554,094
21582.141.96.0/2082.141.96.1 to 82.141.111.25482.141.111.2554,094
21682.141.112.0/2082.141.112.1 to 82.141.127.25482.141.127.2554,094
21782.141.128.0/2082.141.128.1 to 82.141.143.25482.141.143.2554,094
21882.141.144.0/2082.141.144.1 to 82.141.159.25482.141.159.2554,094
21982.141.160.0/2082.141.160.1 to 82.141.175.25482.141.175.2554,094
22082.141.176.0/2082.141.176.1 to 82.141.191.25482.141.191.2554,094
22182.141.192.0/2082.141.192.1 to 82.141.207.25482.141.207.2554,094
22282.141.208.0/2082.141.208.1 to 82.141.223.25482.141.223.2554,094
22382.141.224.0/2082.141.224.1 to 82.141.239.25482.141.239.2554,094
22482.141.240.0/2082.141.240.1 to 82.141.255.25482.141.255.2554,094
22582.142.0.0/2082.142.0.1 to 82.142.15.25482.142.15.2554,094
22682.142.16.0/2082.142.16.1 to 82.142.31.25482.142.31.2554,094
22782.142.32.0/2082.142.32.1 to 82.142.47.25482.142.47.2554,094
22882.142.48.0/2082.142.48.1 to 82.142.63.25482.142.63.2554,094
22982.142.64.0/2082.142.64.1 to 82.142.79.25482.142.79.2554,094
23082.142.80.0/2082.142.80.1 to 82.142.95.25482.142.95.2554,094
23182.142.96.0/2082.142.96.1 to 82.142.111.25482.142.111.2554,094
23282.142.112.0/2082.142.112.1 to 82.142.127.25482.142.127.2554,094
23382.142.128.0/2082.142.128.1 to 82.142.143.25482.142.143.2554,094
23482.142.144.0/2082.142.144.1 to 82.142.159.25482.142.159.2554,094
23582.142.160.0/2082.142.160.1 to 82.142.175.25482.142.175.2554,094
23682.142.176.0/2082.142.176.1 to 82.142.191.25482.142.191.2554,094
23782.142.192.0/2082.142.192.1 to 82.142.207.25482.142.207.2554,094
23882.142.208.0/2082.142.208.1 to 82.142.223.25482.142.223.2554,094
23982.142.224.0/2082.142.224.1 to 82.142.239.25482.142.239.2554,094
24082.142.240.0/2082.142.240.1 to 82.142.255.25482.142.255.2554,094
24182.143.0.0/2082.143.0.1 to 82.143.15.25482.143.15.2554,094
24282.143.16.0/2082.143.16.1 to 82.143.31.25482.143.31.2554,094
24382.143.32.0/2082.143.32.1 to 82.143.47.25482.143.47.2554,094
24482.143.48.0/2082.143.48.1 to 82.143.63.25482.143.63.2554,094
24582.143.64.0/2082.143.64.1 to 82.143.79.25482.143.79.2554,094
24682.143.80.0/2082.143.80.1 to 82.143.95.25482.143.95.2554,094
24782.143.96.0/2082.143.96.1 to 82.143.111.25482.143.111.2554,094
24882.143.112.0/2082.143.112.1 to 82.143.127.25482.143.127.2554,094
24982.143.128.0/2082.143.128.1 to 82.143.143.25482.143.143.2554,094
25082.143.144.0/2082.143.144.1 to 82.143.159.25482.143.159.2554,094
25182.143.160.0/2082.143.160.1 to 82.143.175.25482.143.175.2554,094
25282.143.176.0/2082.143.176.1 to 82.143.191.25482.143.191.2554,094
25382.143.192.0/2082.143.192.1 to 82.143.207.25482.143.207.2554,094
25482.143.208.0/2082.143.208.1 to 82.143.223.25482.143.223.2554,094
25582.143.224.0/2082.143.224.1 to 82.143.239.25482.143.239.2554,094
25682.143.240.0/2082.143.240.1 to 82.143.255.25482.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses